#pragma once

#include "CoreMinimal.h"
#include "EGameType.h"
#include "EMatchmakingPlayerState.h"
#include "MatchmakingStatusViewData.generated.h"

USTRUCT(BlueprintType)
struct FMatchmakingStatusViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EGameType GameType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShowReadyMarkers;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShowBackground;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShowIconSpacer;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsKiller;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString KillerName;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EMatchmakingPlayerState CurrentState;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 EstimatedQueueTime;

public:
	DBDUIVIEWINTERFACES_API FMatchmakingStatusViewData();
};

FORCEINLINE uint32 GetTypeHash(const FMatchmakingStatusViewData) { return 0; }
